{
  "easycom": {
    "autoscan": true,
    // 注意一定要放在custom里，否则无效，https://ask.dcloud.net.cn/question/131175
    "custom": {
      "^u--(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^up-(.*)": "uview-plus/components/u-$1/u-$1.vue",
      "^u-([^-].*)": "uview-plus/components/u-$1/u-$1.vue",
      // 以ava开头的组件 配置后需要重启服务
      "^Ava(.*)": "@/components/Ava$1/Ava$1.vue",
      "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pagesHome/index",
      "style": {
        "navigationStyle": "custom", // 控制头部是否显示
        "navigationBarTitleText": "工作台"
      }
    }
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
  ],
  "subPackages": [
    {
      "root": "pagesLaunch",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": ""
          }
        }
      ]
    },
    {
      "root": "pagesLogin",
      "pages": [
        {
          "path": "login/index",
          "style": {
            "navigationStyle": "custom", // 控制头部是否显示
            "navigationBarTitleText": "登陆"
          }
        },
        {
          "path": "login/forgetPwd",
          "style": {
            "navigationBarTitleText": "忘记密码"
          }
        },
        {
          "path": "message/index",
          "style": {
            "navigationBarTitleText": "消息中心"
          }
        },
        {
          "path": "profile/index",
          "style": {
            "navigationStyle": "custom", 
            "navigationBarTitleText": "个人中心"
            
          }
        },
        {
          "path": "profile/baseinfo",
          "style": {
            "navigationBarTitleText": "基础信息",
            "navigationBarBackgroundColor": "#FFFFFF"
          }
        },
        {
          "path": "profile/modifyPwd",
          "style": {
            "navigationBarTitleText": "修改密码",
            "navigationBarBackgroundColor": "#FFFFFF"
          }
        }
      ]
    },
    // {
    //   "root": "pagesHome",
    //   "pages": [
    //     {
    //       "path": "index",
    //       "style": {
    //         "navigationStyle": "custom", // 控制头部是否显示
    //         "navigationBarTitleText": "工作台"
    //       }
    //     }
    //   ]
    // },
    {
      "root": "pagesReceive",
      "pages": [
        {
          "path": "pricing",
          "style": {
            "navigationBarTitleText": "待定价"
          }
        },
        {
          "path": "payReview",
          "style": {
            "navigationBarTitleText": "付款审核"
          }
        },
        {
          "path": "form/pricingForm",
          "style": {
            "navigationBarTitleText": "定价详情"
          }
        },
        {
          "path": "review/index",
          "style": {
            "navigationBarTitleText": "去审核"
          }
        }
      ]
    },
    {
      "root": "pagesShipment",
      "pages": [
        {
          "path": "shipmenting",
          "style": {
            "navigationBarTitleText": "待出货"
          }
        },
        {
          "path": "grossWeight",
          "style": {
            "navigationBarTitleText": "待过毛重"
          }
        },
        {
          "path": "shipmentSettlement",
          "style": {
            "navigationBarTitleText": "出货结算"
          }
        },
        {
          "path": "review/index",
          "style": {
            "navigationBarTitleText": "结算审核"
          }
        },
        {
          "path": "form/shipmentForm",
          "style": {
            "navigationBarTitleText": "待出货编辑"
          }
        },
        {
          "path": "form/settlementForm",
          "style": {
            "navigationBarTitleText": "结算信息"
          }
        }
      ]
    },
    {
      "root": "pagesScenePhoto",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "现场照片"
          }
        }
      ]
    },
    {
      "root": "pagesStatistics",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationStyle": "custom", 
            "navigationBarTitleText": "数据统计"
          }
        },
        {
          "path": "receivePanel",
          "style": {
            "navigationBarTitleText": "收货汇总"
          }
        },
        {
          "path": "supplierRanking",
          "style": {
            "navigationBarTitleText": "供应商排行"
          }
        },
        {
          "path": "shipmentPanel",
          "style": {
            "navigationBarTitleText": "出货汇总"
          }
        },
        {
          "path": "customerRanking",
          "style": {
            "navigationBarTitleText": "客户排行"
          }
        },
        {
          "path": "businessOverview",
          "style": {
            "navigationBarTitleText": "经营概况"
          }
        },
        {
          "path": "supplierChecking",
          "style": {
            "navigationBarTitleText": "供应商对账"
          }
        },
        {
          "path": "customerChecking",
          "style": {
            "navigationBarTitleText": "客户对账"
          }
        },
        {
          "path": "billDetail",
          "style": {
            "navigationBarTitleText": "账单详情"
          }
        },
        {
          "path": "supplier/detail",
          "style": {
            "navigationBarTitleText": "供应商详情"
          }
        },
        {
          "path": "customer/detail",
          "style": {
            "navigationBarTitleText": "客户详情"
          }
        },
        // {
        //   "path": "uni_modules/lime-echart",
        //   "style": {
        //     "navigationBarTitleText": "组件库"
        //   }
        // }
      ]
    },
    {
      "root": "pagesApp",
      "pages": [
        {
          "path": "receiveSpl",
          "style": {
            "navigationBarTitleText": "收货补单"
          }
        },
        {
          "path": "shipmentSpl",
          "style": {
            "navigationBarTitleText": "出货补单"
          }
        },
        {
          "path": "receiveDetail",
          "style": {
            "navigationBarTitleText": "收货明细"
          }
        },
        {
          "path": "shipmentDetail",
          "style": {
            "navigationBarTitleText": "出货明细"
          }
        },
        {
          "path": "receiveCl",
          "style": {
            "navigationBarTitleText": "收货作废"
          }
        },
        {
          "path": "shipmentCl",
          "style": {
            "navigationBarTitleText": "出货作废"
          }
        },
        {
          "path": "supplierMgt",
          "style": {
            "navigationBarTitleText": "供应商管理"
          }
        },
        {
          "path": "customerMgt",
          "style": {
            "navigationBarTitleText": "客户管理"
          }
        },
        {
          "path": "receiveProduct",
          "style": {
            "navigationBarTitleText": "收货产品"
          }
        },
        {
          "path": "receiveType",
          "style": {
            "navigationBarTitleText": "收货分类"
          }
        },
        {
          "path": "shipmentProduct",
          "style": {
            "navigationBarTitleText": "出货产品"
          }
        },
        {
          "path": "stockCard",
          "style": {
            "navigationBarTitleText": "库存卡管理"
          }
        },
        {
          "path": "shipmentType",
          "style": {
            "navigationBarTitleText": "出货分类管理"
          }
        },
        {
          "path": "supplierType",
          "style": {
            "navigationBarTitleText": "供应商分类"
          }
        },
        {
          "path": "user",
          "style": {
            "navigationBarTitleText": "人员管理"
          }
        },
        {
          "path": "role",
          "style": {
            "navigationBarTitleText": "权限管理"
          }
        },
        {
          "path": "paymentDetail",
          "style": {
            "navigationBarTitleText": "支付明细"
          }
        },
        {
          "path": "incomeDetail",
          "style": {
            "navigationBarTitleText": "收入明细"
          }
        },
        {
          "path": "components/addSupplierType",
          "style": {
            "navigationBarTitleText": "新增供应商分类"
          }
        },
        {
          "path": "components/addSupplier",
          "style": {
            "navigationBarTitleText": "新增供应商"
          }
        },
        {
          "path": "components/addShipmentType",
          "style": {
            "navigationBarTitleText": "新增出货分类"
          }
        },
        {
          "path": "components/addCustomer",
          "style": {
            "navigationBarTitleText": "新增客户"
          }
        },
        {
          "path": "components/addReceiveProduct",
          "style": {
            "navigationBarTitleText": "新增收货产品"
          }
        },
        {
          "path": "components/addReceiveType",
          "style": {
            "navigationBarTitleText": "新增收货分类"
          }
        },
        {
          "path": "components/addShipmentProduct",
          "style": {
            "navigationBarTitleText": "新增出货产品"
          }
        },
        {
          "path": "components/addStockCard",
          "style": {
            "navigationBarTitleText": "新增库存卡"
          }
        },
        {
          "path": "components/addUser",
          "style": {
            "navigationBarTitleText": "新增人员"
          }
        },
        {
          "path": "components/addRole",
          "style": {
            "navigationBarTitleText": "新增权限"
          }
        },
        {
          "path": "components/addPayment",
          "style": {
            "navigationBarTitleText": "新增支付明细"
          }
        },
        {
          "path": "components/payContent",
          "style": {
            "navigationBarTitleText": "支付详情"
          }
        },
        {
          "path": "components/addIncomeDetail",
          "style": {
            "navigationBarTitleText": "新增收入明细"
          }
        },
        {
          "path": "components/incomeContent",
          "style": {
            "navigationBarTitleText": "收入详情"
          }
        }
      ]
    }
    // {
    //   "root": "uni_modules",
    //   "pages": [
    //     {
    //       "path": "lime-echart/components/l-echart/l-echart",
    //       "style": {
    //         "navigationBarTitleText": "echart"
    //       }
    //     }
    //   ]
    // }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "智能回收",
    "navigationBarBackgroundColor": "#F8F8F8",
    "backgroundColor": "#F8F8F8"
  },
  "lazyCodeLoading": "requiredComponents"
}
